# @HEADER
# ************************************************************************
#
#            TriBITS: Tribal Build, Integrate, and Test System
#                    Copyright 2013 Sandia Corporation
#
# Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
# the U.S. Government retains certain rights in this software.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# 3. Neither the name of the Corporation nor the names of the
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY SANDIA CORPORATION "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SANDIA CORPORATION OR THE
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# ************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/TeuchosKokkosComm clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "TeuchosKokkosComm requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/TeuchosKokkosComm build
## ---------------------------------------------------------------------------

set(TeuchosKokkosComm_CXX_COMPILER "/opt/aarch64-linux-gnu/aarch64-linux-gnu/sys-root/usr/local/bin/mpicxx")

set(TeuchosKokkosComm_C_COMPILER "/opt/aarch64-linux-gnu/aarch64-linux-gnu/sys-root/usr/local/bin/mpicc")

set(TeuchosKokkosComm_Fortran_COMPILER "/opt/bin/aarch64-linux-gnu-libgfortran5-cxx03-mpi+mpich/aarch64-linux-gnu-gfortran")
# Deprecated!
set(TeuchosKokkosComm_FORTRAN_COMPILER "/opt/bin/aarch64-linux-gnu-libgfortran5-cxx03-mpi+mpich/aarch64-linux-gnu-gfortran") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/TeuchosKokkosComm build
## ---------------------------------------------------------------------------

## Give the build type
set(TeuchosKokkosComm_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(TeuchosKokkosComm_CXX_FLAGS [[ ]])

set(TeuchosKokkosComm_C_FLAGS [[  -O3 -fPIC -fopenmp ]])

set(TeuchosKokkosComm_Fortran_FLAGS [[ ]])
# Deprecated
set(TeuchosKokkosComm_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(TeuchosKokkosComm_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(TeuchosKokkosComm_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/workspace/destdir/lib")
set(TeuchosKokkosComm_BUILD_SHARED_LIBS "ON")

set(TeuchosKokkosComm_LINKER /opt/bin/aarch64-linux-gnu-libgfortran5-cxx03-mpi+mpich/aarch64-linux-gnu-ld)
set(TeuchosKokkosComm_AR /opt/bin/aarch64-linux-gnu-libgfortran5-cxx03-mpi+mpich/aarch64-linux-gnu-ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(TeuchosKokkosComm_INSTALL_DIR "/workspace/destdir")

## List of package libraries
set(TeuchosKokkosComm_LIBRARIES TeuchosKokkosComm::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(TeuchosKokkosComm_MPI_LIBRARIES "")
set(TeuchosKokkosComm_MPI_LIBRARY_DIRS "")
set(TeuchosKokkosComm_MPI_INCLUDE_DIRS "")
set(TeuchosKokkosComm_MPI_EXEC "/opt/aarch64-linux-gnu/aarch64-linux-gnu/sys-root/usr/local/bin/mpiexec")
set(TeuchosKokkosComm_MPI_EXEC_MAX_NUMPROCS "4")
set(TeuchosKokkosComm_MPI_EXEC_NUMPROCS_FLAG "-np")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies
set(TeuchosKokkosComm_ENABLE_Kokkos ON)
set(TeuchosKokkosComm_ENABLE_TeuchosKokkosCompat ON)
set(TeuchosKokkosComm_ENABLE_TeuchosComm ON)
set(TeuchosKokkosComm_ENABLE_MPI ON)

# Exported cache variables
set(Teuchos_ENABLE_DEBUG "OFF")
set(HAVE_TEUCHOS_DEBUG "OFF")
set(Teuchos_ENABLE_EXPLICIT_INSTANTIATION "ON")
set(HAVE_TEUCHOS_EXPLICIT_INSTANTIATION "ON")
set(Teuchos_ENABLE_LONG_DOUBLE "FALSE")
set(HAVE_TEUCHOS_LONG_DOUBLE "OFF")
set(Teuchos_ENABLE_FLOAT "FALSE")
set(HAVE_TEUCHOS_FLOAT "OFF")
set(Teuchos_ENABLE_COMPLEX "TRUE")
set(HAVE_TEUCHOS_COMPLEX "ON")
set(Teuchos_INST_FLOAT "FALSE")
set(HAVE_TEUCHOS_INST_FLOAT "OFF")
set(Teuchos_INST_COMPLEX_FLOAT "OFF")
set(HAVE_TEUCHOS_INST_COMPLEX_FLOAT "OFF")
set(Teuchos_INST_COMPLEX_DOUBLE "TRUE")
set(HAVE_TEUCHOS_INST_COMPLEX_DOUBLE "ON")
set(Teuchos_ENABLE_THREAD_SAFE "OFF")
set(HAVE_TEUCHOS_THREAD_SAFE "OFF")
set(Teuchos_ENABLE_ABC "OFF")
set(HAVE_TEUCHOS_ARRAY_BOUNDSCHECK "OFF")
set(Teuchos_ENABLE_DEBUG_RCP_NODE_TRACING "OFF")
set(HAVE_TEUCHOS_DEBUG_RCP_NODE_TRACING "OFF")
set(Teuchos_ENABLE_EXTENDED "ON")
set(HAVE_TEUCHOS_EXTENDED "ON")
set(Teuchos_ENABLE_C_EXCEPTIONS "OFF")
set(HAVE_TEUCHOS_C_EXCEPTIONS "OFF")
set(Teuchos_ENABLE_GCC_DEMANGLE "ON")
set(HAVE_TEUCHOS_DEMANGLE "ON")
set(Teuchos_ENABLE_STACKED_TIMER_IN_TIME_MONITOR "ON")
set(HAVE_TEUCHOS_ADD_TIME_MONITOR_TO_STACKED_TIMER "ON")
set(Teuchos_GLOBALLY_REDUCE_UNITTEST_RESULTS "OFF")
set(HAVE_TEUCHOS_GLOBALLY_REDUCE_UNITTEST_RESULTS "OFF")
set(Teuchos_KOKKOS_PROFILING "OFF")
set(HAVE_TEUCHOS_KOKKOS_PROFILING "OFF")

# Include configuration of dependent packages
if (NOT TARGET Kokkos::all_libs)
  include("/opt/aarch64-linux-gnu/aarch64-linux-gnu/sys-root/usr/local/lib/cmake/Kokkos/KokkosConfig.cmake")
  set(Kokkos_CONFIG "/opt/aarch64-linux-gnu/aarch64-linux-gnu/sys-root/usr/local/lib/cmake/Kokkos/KokkosConfig.cmake")
endif()
if (NOT TARGET TeuchosKokkosCompat::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosKokkosCompat/TeuchosKokkosCompatConfig.cmake")
endif()
if (NOT TARGET TeuchosComm::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../TeuchosComm/TeuchosCommConfig.cmake")
endif()
if (NOT TARGET MPI::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../../external_packages/MPI/MPIConfig.cmake")
endif()

# Import TeuchosKokkosComm targets
include("${CMAKE_CURRENT_LIST_DIR}/TeuchosKokkosCommTargets.cmake")

# Standard TriBITS-compliant external package variables
set(TeuchosKokkosComm_IS_TRIBITS_COMPLIANT TRUE)
set(TeuchosKokkosComm_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(TeuchosKokkosComm_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(TeuchosKokkosComm_EXPORTED_PACKAGE_LIBS_NAMES "teuchoskokkoscomm")

foreach(libname IN LISTS TeuchosKokkosComm_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE TeuchosKokkosComm::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'TeuchosKokkosComm::${libname}', or better yet,"
      " 'TeuchosKokkosComm::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'TeuchosKokkosComm'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'TeuchosKokkosComm_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
